WayloAIWaylo Docs
APIReferenceCatalogs

List catalog items

GET
/catalogs/{id}/items

Items in the catalog, offset-paginated, most recently updated first by default.

Access: workspace_viewer · API key catalogs:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Query Parameters

page?number
Range1 <= value <= 10000
Default1
limit?number
Range1 <= value <= 100
Default25
orderDirection?string
Default"desc"
Value in"asc""desc"
sku?string
Length1 <= length <= 255
brand?string
Length1 <= length <= 255
productId?string
Length1 <= length <= 255
productName?string
Length1 <= length <= 255
createdByUserId?string
Formatuuid
updatedByUserId?string
Formatuuid
active?boolean
orderBy?string
Value in"id""displayName""productName""sku""brand""createdByUserName""updatedByUserName""active""createdAt""updatedAt"
search?string

Free-text search over the searchBy fields.

Length1 <= length <= 255
searchBy?string

Comma-separated: displayName, sku, brand.

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/catalogs/string/items' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "string",    "catalogId": "string",    "sku": "string",    "displayName": "string",    "productName": "string",    "productId": "string",    "brand": "string",    "attributes": {      "property1": "string",      "property2": "string"    },    "spokenForms": [      "string"    ],    "unit": "string",    "active": true,    "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",    "createdByUserName": "string",    "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",    "updatedByUserName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]